# Create testing pipeline

Create a new testing pipeline for a given module

Endpoint: POST /iacm/api/modules/{id}/pipeline
Version: 1.0
Security: x-api-key

## Query parameters:

  - `scope_org` (string)
    org name
    Example: "Non aut voluptas et quidem quas."

  - `scope_project` (string)
    project name
    Example: "Pariatur consectetur voluptas quisquam eaque ipsum."

## Path parameters:

  - `id` (string, required)
    module id
    Example: "Impedit deserunt vitae dolorum ut qui aspernatur."

## Header parameters:

  - `Harness-Account` (string, required)
    account name
    Example: "Veniam cumque voluptatum dolor assumenda omnis qui."

## Request fields (application/json):

  - `pipeline_org` (string, required)
    pipeline org
    Example: "Maiores nihil sed assumenda et molestiae."

  - `pipeline_project` (string, required)
    pipeline project
    Example: "Doloremque soluta nihil expedita."

  - `type` (string)
    type of the pipeline to create
    Example: "A quos et aliquid possimus quia."

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?
    Example: true

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?
    Example: true

  - `timeout` (boolean, required)
    Is the error a timeout?
    Example: true


## Response 201 fields
